// 公共接口
import request from '@/utils/request'

// 获取字典
export function getDictionary(code) {
  return request({
    url: 'configurationapi/api/dictionary/getdicvaluelistdrop',
    method: 'get',
    params: {
      code
    }
  })
}

// 获取省市
export function getProviceCity(params) {
  return request({
    url: 'api/setarea/getall',
    method: 'get',
    params
  })
}
// 分级获取省市
export function getProviceCityById(params) {
  return request({
    url: 'api/setarea/getallbypid',
    method: 'get',
    params
  })
}
// 获取省市三级
export function getProviceCityTown() {
  return request({
    url: 'api/MediaCente/getall',
    method: 'get'
  })
}
// 获取省市
export function getcusProviceCity() {
  return request({
    url: 'configurationapi/api/provincesaddress/getaddressjson',
    method: 'get'
  })
}
// 获取坐席工号
export function getSeatSelect() {
  return request({
    url: 'signtokenapi/api/useraccount/getlist',
    method: 'get'
  })
}

// 获取坐席组
export function getSeatGroup() {
  return request({
    url: 'api/seatgroup/getlistdrop',
    method: 'get'
  })
}

// 获取角色
export function getRoleSelect() {
  return request({
    url: 'api/roleinfo/getlistdrop',
    method: 'get'
  })
}

// 获取项目
export function getPro() {
  return request({
    url: 'workorderapi/api/cuscustomer/getprolist',
    method: 'get'
  })
}

// 文件上传
export function uploadFile(data) {
  return request({
    url: 'fileserverapi/Api/Upload',
    method: 'post',
    data
  })
}
// 获取分类树
export function getroleTreeList() {
  return request({
    url: 'messageapi/api/noticeinfo/getroleusertree',
    method: 'get'
  })
}
// 获取字典接口
export function getDictionaryValueList(params) {
  return request({
    url: 'api/dictionary/getlistbypage',
    method: 'get',
    params
  })
}
// 获取部门树
export function getDepartmentTreeList() {
  return request({
    url: 'api/deptment/getall',
    method: 'get'
  })
}
// 获取消息提醒数据
export function getMsg(params) {
  return request({
    url: 'api/InternalMessages/getMsg',
    method: 'get',
    params
  })
}
// 处理消息
export function getReadData(params) {
  return request({
    url: 'api/InternalMessages/updateState',
    method: 'post',
    params
  })
}
